;
; Startup code for cc65 (PET version)
;
; This must be the *first* file on the linker command line
;

	.export	      	_exit
	.import		initlib, donelib, callirq
       	.import	       	copydata,zerobss, push0
	.import		callmain
    .import		__DATA_LOAD__,__DATA_RUN__, __DATA_SIZE__
	.import		__RAM_START__,__RAM_SIZE__

        .include        "zeropage.inc"
		.include		"st2205u.inc"



.segment       	"INIT"

lda #$C0
sta DRRL
lda #$00
sta DRRH

	jsr	zerobss
	jsr	copydata
	
	; Save system stuff and setup the stack

    tsx
    stx    	spsave 		; Save the system stack ptr

	lda #<(__RAM_START__ + __RAM_SIZE__)
	sta	sp
	lda	#>(__RAM_START__ + __RAM_SIZE__)
    sta	sp+1   		; Set argument stack ptr

; Call module constructors

	jsr	initlib
	

	
	
; If we have IRQ functions, chain our stub into the IRQ vector

        jmp	NoIRQ1
; Push arguments and call main()

NoIRQ1: jsr     callmain

; Back from main (This is also the _exit entry). Reset the IRQ vector if we
; chained it.

_exit: 	pha  			; Save the return code on stack
		jmp NoIRQ2

; Run module destructors

NoIRQ2: jsr	donelib

; Copy back the zero page stuff

       	ldx	#zpspace-1
L2:	lda	zpsave,x
	sta	sp,x
	dex
       	bpl	L2

; Place the program return code into ST

	
; Restore the stack pointer

  	ldx	spsave
	txs
	
bail:
jmp bail



; ------------------------------------------------------------------------
; The IRQ vector jumps here, if condes routines are defined with type 2.

IRQStub:
	cld    	       		   	; Just to be sure
       	jsr    	callirq                 ; Call the functions
       	jmp    	IRQInd			; Jump to the saved IRQ vector

; ------------------------------------------------------------------------
; Data

.data

zpsave:	.res	zpspace
IRQInd: jmp     $0000

.bss

spsave:	.res	1

