;
; Zeropage and I/O definitions for the ST2205U
;
; SIGINT, 11.09.2009


; ---------------------------------------------------------------------------
; Zeropage registers

PA  	=	$00
PB  	=	$01
PC  	=	$02
PD   	=	$03
PE   	=	$04
PF	    =	$05
PSC 	=	$06
PSE 	=	$07
PCA 	=	$08
PCB 	=	$09
PCC 	=	$0A
PCD 	=	$0B
PCE 	=	$0C
PCF 	=	$0D
PFC 	=	$0E
PFD 	=	$0F
PSG0A 	=	$10
PSG0B	=	$11
PSG1A	=	$12
PSG1B	=	$13
PSG2A	=	$14
PSG2B	=	$15
PSG3A	=	$16
PSG3B	=	$17
VOL0	=	$18
VOL1	=	$19
VOL2	=	$1A
VOL3	=	$1B
VOLM0	=	$1C
VOLM1	=	$1D
PSGC	=	$1E
PSGM	=	$1F
T0CL	=	$20
T0CH	=	$21
T1CL	=	$22
T1CH	=	$23
T2CL	=	$24
T2CH	=	$25
T3CL	=	$26
T3CH	=	$27
TIEN	=	$28
PRS 	=	$29
BTEN	=	$2A
BTREQ	=	$2B
BTC 	=	$2C
T4C 	=	$2D
RCTR	=	$2E
RTC 	=	$2F
IRRL 	=	$30
IRRH	=	$31
PRRL	=	$32
PRRH	=	$33
DRRL	=	$34
DRRH	=	$35
BRRL	=	$36
BRRH	=	$37
MISC	=	$38
SYS 	=	$39
PMCR	=	$3A
XREQ	=	$3B
IREQL	=	$3C
IREQH	=	$3D
IENAL	=	$3E
IENAH	=	$3F
LSSAL	=	$40
LSSAH	=	$41
LVPW	=	$42
LXMAX	=	$43
LYMAX	=	$44
LPAN	=	$45
LBUF	=	$46
LCTR	=	$47
LCKR	=	$48
LFRA	=	$49
LAC 	=	$4A
LPWM	=	$4B
LPAL	=	$4C
PL  	=	$4E
PCL 	=	$4F
SDATAL	=	$50
SDATAH	=	$51
SCTR 	=	$52
SCKR	=	$53
SSR 	=	$54
SMOD	=	$55
LVCTR	=	$57
DPTRL	=	$58
DPTRH	=	$59
DBKRL	=	$5A
DBKRH	=	$5B
DCNTL	=	$5C
DCNTH	=	$5D
DSEL	=	$5E
DMOD	=	$5F
UCTR	=	$60
USR 	=	$61
IRCTR	=	$62
BCTR	=	$63
UDATA	=	$64
BRS 	=	$66
BDIV	=	$67
FCTR	=	$68
ECCL	=	$69
ECCM	=	$6A
ECCH	=	$6B
PCML	=	$6C
PCMH	=	$6D
MULL	=	$6E
MULH	=	$6F
USBCON	=	$70
USBIEN	=	$71
USBIRQ	=	$72
USBBFS	=	$73
EP0CON	=	$74
EP0LEN	=	$75
BKCON	=	$76
BK0LEN	=	$77



; ---------------------------------------------------------------------------
; Screen size

XSIZE           = 98
YSIZE           = 67

; ---------------------------------------------------------------------------
; I/O definitions


